.BYTE $0110 ;vblank int

.ZERO $0100 		;start code segment at 0x100
	jmp Init
.ZERO $0110
	jmp VBlankHandler

.INCLUDE "examples/hwd.inc"

Init:
	mov ef,$A000
	mov [ef],$50
	mov ef,$FF07
	mov [ef],0
	mov ef,$FF08
	mov [ef],50
	mov ef,$FF09
	mov [ef],10
	ei
GameLoop:
	jmp GameLoop
	ret

VBlankHandler:
	mov ef,$A000	;global counter
	mov a,[ef]
	dec a
	mov [ef],a
	cmp a,0
	jnz skip
	mov [ef],$50
	
	mov ef,$A001	;note counter
	mov a,[ef]
	inc a
	mov [ef],a
	cmp a, 4
	jnz conti
	mov [ef],0
	
conti:
	xor c,c			;get note
	mov d,[ef]		;index to NOTES
	mov ef,NOTES
	add ef,cd
	mov d,[ef]
	
	mov ef,$FF08 	;set note
	mov [ef],d
	
	mov ef,$A001
	mov d,[ef]		;index
	mov ef,$FF07	;set waveform
	mov [ef],d
skip:
	reti

NOTES:
.BYTE 50,60,70,80